class FollowCategoriesController < MyProfileController

  def index
    @categories = current_person.follow_categories
  end

  def new
    @follow_category = Circle.new
  end

  def create
    #TODO fix profile_type
    @follow_category = Circle.new(:name => params[:follow_category][:name],
                                          :person => current_person, :profile_type => 'Person')
    if @follow_category.save
      redirect_to :action => 'index'
    else
      render :action => 'new'
    end
  end

  def edit
    @follow_category = Circle.find_by_id(params[:id])
    render_not_found if @follow_category.nil?
  end

  #TODO FIX METHOD
  def update
    @follow_category = Circle.find_by_id(params[:id])
    return render_not_found if @follow_category.nil?

    if @follow_category.update(params[:follow_category])
      redirect_to :action => 'index'
    else
      render :action => 'edit'
    end
  end

  def destroy
    @follow_category = Circle.find_by_id(params[:id])
    return render_not_found if @follow_category.nil?

    if !@follow_category.destroy
      session[:notice] = _('Failed to remove category')
    end
    redirect_to :action => 'index'
  end
end
