$(".action-follow").live("click", function() {
  var button = $(this);
  var url = button.attr("href");
  loading_for_button(button);

  $.post(url, function(data) {
    button.fadeOut('fast', function() {
      $("#follow-categories-container").html(data);
      $("#follow-categories-container").fadeIn();
    });
  }).fail(function(response) {
    display_notice(response.responseText);
  }).always(function() {
    hide_loading_for_button(button);
  });

  return false;
});
